# Generated by Django 2.1.1 on 2019-02-02 16:40

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('rooms', '0021_auto_20190202_1619'),
    ]

    operations = [
        migrations.CreateModel(
            name='RoomUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('read', models.BooleanField()),
                ('write', models.BooleanField()),
                ('delete', models.BooleanField()),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='rooms.Room')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
